## NMSettingCdma

NMSettingCdma — Describes CDMA-based mobile broadband properties

## Functions

GQuark | nm_setting_cdma_error_quark ()
NMSetting * | nm_setting_cdma_new ()
const char * | nm_setting_cdma_get_number ()
const char * | nm_setting_cdma_get_username ()
const char * | nm_setting_cdma_get_password ()
NMSettingSecretFlags | nm_setting_cdma_get_password_flags ()

## Properties

gchar * | number | Read / Write
gchar * | password | Read / Write
guint | password-flags | Read / Write
gchar * | username | Read / Write

## Types and Values

#define | NM_SETTING_CDMA_SETTING_NAME
enum | NMSettingCdmaError
#define | NM_SETTING_CDMA_ERROR
#define | NM_SETTING_CDMA_NUMBER
#define | NM_SETTING_CDMA_USERNAME
#define | NM_SETTING_CDMA_PASSWORD
#define | NM_SETTING_CDMA_PASSWORD_FLAGS

## Object Hierarchy

        GEnum
        ╰── NMSettingCdmaError
        GObject
        ╰── NMSetting
            ╰── NMSettingCdma

## Includes

    #include <nm-setting-cdma.h>

## Description

The NMSettingCdma object is a NMSetting subclass that describes properties that allow connections to IS-95-based mobile broadband networks, including those using CDMA2000/EVDO technology.

## Functions

### nm_setting_cdma_error_quark ()

    GQuark
    nm_setting_cdma_error_quark (void);

Registers an error quark for NMSettingCdma if necessary.

#### Returns

the error quark used for NMSettingCdma errors.

### nm_setting_cdma_new ()

    NMSetting *
    nm_setting_cdma_new (void);

Creates a new NMSettingCdma object with default values.

#### Returns

the new empty NMSettingCdma object

### nm_setting_cdma_get_number ()

    const char *
    nm_setting_cdma_get_number (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “number” property of the setting

### nm_setting_cdma_get_username ()

    const char *
    nm_setting_cdma_get_username (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “username” property of the setting

### nm_setting_cdma_get_password ()

    const char *
    nm_setting_cdma_get_password (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “password” property of the setting

### nm_setting_cdma_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_cdma_get_password_flags (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

## Types and Values

### NM_SETTING_CDMA_SETTING_NAME

    #define NM_SETTING_CDMA_SETTING_NAME "cdma"

### enum NMSettingCdmaError

#### Members

NM_SETTING_CDMA_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_CDMA_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_CDMA_ERROR_MISSING_PROPERTY | the property was missing and is required |
NM_SETTING_CDMA_ERROR_MISSING_SERIAL_SETTING | the required NMSettingSerial is missing in the connection |

### NM_SETTING_CDMA_ERROR

    #define NM_SETTING_CDMA_ERROR nm_setting_cdma_error_quark ()

### NM_SETTING_CDMA_NUMBER

    #define NM_SETTING_CDMA_NUMBER         "number"

### NM_SETTING_CDMA_USERNAME

    #define NM_SETTING_CDMA_USERNAME       "username"

### NM_SETTING_CDMA_PASSWORD

    #define NM_SETTING_CDMA_PASSWORD       "password"

### NM_SETTING_CDMA_PASSWORD_FLAGS

    #define NM_SETTING_CDMA_PASSWORD_FLAGS "password-flags"

## Property Details

### The `“number”` property

      “number”                   gchar *

The number to dial to establish the connection to the CDMA-based mobile broadband network, if any. If not specified, the default number (777) is used when required.

Flags: Read / Write

Default value: NULL

### The `“password”` property

      “password”                 gchar *

The password used to authenticate with the network, if required. Many providers do not require a password, or accept any password. But if a password is required, it is specified here.

Flags: Read / Write

Default value: NULL

### The `“password-flags”` property

      “password-flags”           guint

Flags indicating how to handle the “password” property.

Flags: Read / Write

Allowed values: <= 7

Default value: 0

### The `“username”` property

      “username”                 gchar *

The username used to authenticate with the network, if required. Many providers do not require a username, or accept any username. But if a username is required, it is specified here.

Flags: Read / Write

Default value: NULL